package com.oracle.webservices.internal.api.message;

import java.util.Map;
import com.sun.istack.internal.Nullable;

public interface DistributedPropertySet extends PropertySet
{
    @Nullable
    public abstract <T extends PropertySet> T getSatellite(Class<T> p0);
    
    public abstract Map<Class<? extends PropertySet>, PropertySet> getSatellites();
    
    public abstract void addSatellite(PropertySet p0);
    
    public abstract void addSatellite(Class<? extends PropertySet> p0, PropertySet p1);
    
    public abstract void removeSatellite(PropertySet p0);
    
    public abstract void copySatelliteInto(MessageContext p0);
}
